$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-21b535b5c5637224855404b459f6eb1a1aa7a3a1/rpcs3-v0.0.11-10809-21b535b5_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'f71e867ec87d559e641b2f8acd7b98b4ab61f114d1f0a25ce14667694c47a1ec'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
